<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

$config['blogpost'] = 10;

if (empty($_GET['uz'])) {
    $uz = check($log);
} else {
    $uz = check($_GET['uz']);
} 
if (isset($_GET['start'])) {
    $start = abs(intval($_GET['start']));
} else {
    $start = 0;
} 
if (isset($_GET['act'])) {
    $act = check($_GET['act']);
} else {
    $act = 'blogs';
} 

switch ($act):
# ###########################################################################################
# #                                        Вывод тем                                       ##
# ###########################################################################################
case "blogs":
    show_title('site.png', 'Список всех статей');
    $config['newtitle'] = 'Список всех статей';

    $total = DB :: $dbh -> querySingle("SELECT count(*) FROM `blogs` WHERE `blogs_user`=?;", array($uz));

    if ($total > 0) {
        if ($start >= $total) {
            $start = 0;
        } 

        $queryblogs = DB :: $dbh -> query("SELECT * FROM `blogs` WHERE `blogs_user`=? ORDER BY `blogs_time` DESC LIMIT " . $start . ", " . $config['blogpost'] . ";", array($uz));

        while ($data = $queryblogs -> fetch()) {
            if ($data['blogs_rating'] > 0) {
                $data['blogs_rating'] = '<span style="color:#00ff00">+' . $data['blogs_rating'] . '</span>';
            } 
            if ($data['blogs_rating'] < 0) {
                $data['blogs_rating'] = '<span style="color:#ff0000">' . $data['blogs_rating'] . '</span>';
            } 

            echo '<div class="b"><img src="../images/img/edit.gif" alt="image" /> ';
            echo '<b><a href="blog.php?act=view&amp;id=' . $data['blogs_id'] . '&amp;' . SID . '">' . $data['blogs_title'] . '</a></b> (' . $data['blogs_rating'] . ')</div>';

            echo '<div>Автор: <a href="../pages/anketa.php?uz=' . $data['blogs_user'] . '&amp;' . SID . '">' . nickname($data['blogs_user']) . '</a> (' . date_fixed($data['blogs_time']) . ')<br />';
            echo '<img src="../images/img/balloon.gif" alt="image" /> <a href="blog
.php?act=comments&amp;id=' . $data['blogs_id'] . '&amp;' . SID . '">Комментарии</a> (' . $data['blogs_comments'] . ')<br />';
            echo '</div>';
        } 

        page_strnavigation('active.php?act=blogs&amp;uz=' . $uz . '&amp;', $config['blogpost'], $start, $total);

        echo 'Всего статей: <b>' . $total . '</b><br /><br />';
    } else {
        show_error('Статей еще нет!');
    } 
    break;
# ###########################################################################################
# #                                     Вывод сообщений                                    ##
# ###########################################################################################
case "comments":
    show_title('site.png', 'Список всех комментариев');
    $config['newtitle'] = 'Список всех комментариев';

    $total = DB :: $dbh -> querySingle("SELECT count(*) FROM `commblog` WHERE `commblog_author`=?;", array($uz));

    if ($total > 0) {
        if ($start >= $total) {
            $start = 0;
        } 

        $is_admin = is_admin(array(101, 102, 103, 105));

        $querypost = DB :: $dbh -> query("SELECT `commblog`.*, `blogs_title`, `blogs_comments` FROM `commblog` LEFT JOIN `blogs` ON `commblog`.`commblog_blog`=`blogs`.`blogs_id` WHERE `commblog_author`=? ORDER BY `commblog_time` DESC LIMIT " . $start . ", " . $config['blogpost'] . ";", array($uz));

        while ($data = $querypost -> fetch()) {
            echo '<div class="b">';

            echo '<img src="../images/img/balloon.gif" alt="image" /> <b><a href="blog.php?act=comments&amp;id=' . $data['commblog_blog'] . '&amp;' . SID . '">' . $data['blogs_title'] . '</a></b> (' . $data['blogs_comments'] . ')';

            if (is_admin(array(101, 102, 103, 105))) {
                echo ' — <a href="active.php?act=del&amp;id=' . $data['commblog_id'] . '&amp;uz=' . $uz . '&amp;start=' . $start . '&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">Удалить</a>';
            } 

            echo '</div>';
            echo '<div>' . bb_code($data['commblog_text']) . '<br />';

            echo 'Написал: ' . nickname($data['commblog_author']) . ' <small>(' . date_fixed($data['commblog_time']) . ')</small><br />';

            echo '<span class="data">(' . $data['commblog_brow'] . ', ' . $data['commblog_ip'] . ')</span></div>';
        } 

        page_strnavigation('active.php?act=comments&amp;uz=' . $uz . '&amp;', $config['blogpost'], $start, $total);
    } else {
        show_error('Комментарии не найдены!');
    } 
    break;
# ###########################################################################################
# #                                 Удаление комментариев                                  ##
# ###########################################################################################
case "del":

    $uid = check($_GET['uid']);
    if (isset($_GET['id'])) {
        $id = abs(intval($_GET['id']));
    } else {
        $id = 0;
    } 

    if (is_admin(array(101, 102, 103, 105))) {
        if ($uid == $_SESSION['token']) {
            $blogs = DB :: $dbh -> querySingle("SELECT `commblog_blog` FROM `commblog` WHERE `commblog_id`=?;", array($id));
            if (!empty($blogs)) {
                DB :: $dbh -> query("DELETE FROM `commblog` WHERE `commblog_id`=? AND commblog_blog=?;", array($id, $blogs));
                DB :: $dbh -> query("UPDATE `blogs` SET `blogs_comments`=`blogs_comments`-? WHERE `blogs_id`=?;", array(1, $blogs));

                $_SESSION['note'] = 'Комментарий успешно удален!';
                header ("Location: active.php?act=comments&uz=$uz&start=$start&" . SID);
                exit;
            } else {
                show_error('Ошибка! Данного комментария не существует!');
            } 
        } else {
            show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
        } 
    } else {
        show_error('Ошибка! Удалять комментарии могут только модераторы!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="active.php?act=comments&amp;uz=' . $uz . '&amp;start=' . $start . '&amp;' . SID . '">Вернуться</a><br />';
    break;

default:
    header("location: active.php?" . SID);
    exit;
    endswitch;

    echo '<img src="../images/img/reload.gif" alt="image" /> <a href="index.php?' . SID . '">Категории</a><br />';
    echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

    include_once ('../themes/' . $config['themes'] . '/foot.php');

    ?>